All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.memberproperties
Class NodeInfo

    com.sas.dataselectors.memberproperties.NodeInfo

    public class NodeInfo

Encapsulates information about Fractional Data Items.

Since:
  3.1.4

Constructor Summary
`NodeInfo()` Default constructor.

Method Summary
`void` | `add(NodeInfo node)` Adds the specified node as child of this node.
`boolean` | `equals(NodeInfo nodeInfo)` Returns a boolean indicating whether the specified NodeInfo object is equivalent to this NodeInfo object.
`java.util.List` | `getChildren()` Returns a list of this node's children.
`java.lang.String` | `getText()` Returns the text label to displayed for this node.
`java.lang.String` | `getUniqueName()` Returns the unique name that identifies this node.
`boolean` | `isAllowsChildren()` Returns the boolean indicating whether children may be added to this node.
`boolean` | `isExpanded()` Returns the boolean indicating whether this node should be presented in an expanded state.
`boolean` | `isLeaf()` Returns a boolean indicating whether the node is a leaf node.
`void` | `setAllowsChildren(boolean allowsChildren)` Sets the boolean indicating whether children may be added to this node.
`void` | `setExpanded(boolean expanded)` Sets the boolean indicating whether this node should be presented in an expanded state.
`void` | `setText(java.lang.String text)` Sets the text label to displayed for this node.
`void` | `setUniqueName(java.lang.String uniqueName)` Sets the unique name that identifies this node.

Constructor Detail

### NodeInfo

    public NodeInfo()

  Default constructor.

Method Detail

### setText

    public void setText(java.lang.String text)

  Sets the text label to displayed for this node.

  Parameters:
    `text` - the text label to displayed.

### getText

    public java.lang.String getText()

  Returns the text label to displayed for this node.

  Returns:
    the text label to displayed.

### setUniqueName

    public void setUniqueName(java.lang.String uniqueName)

  Sets the unique name that identifies this node.

  Parameters:
    `uniqueName` - the unique name that identifies this node.

### getUniqueName

    public java.lang.String getUniqueName()

  Returns the unique name that identifies this node.

  Returns:
    the unique name that identifies this node.

### isLeaf

    public boolean isLeaf()

  Returns a boolean indicating whether the node is a leaf node.

  Returns true if the node has any children, false otherwise.

  Returns:
    a boolean indicating whether the node is a leaf node.

### setAllowsChildren

    public void setAllowsChildren(boolean allowsChildren)

  Sets the boolean indicating whether children may be added to this node.

  Parameters:
    `allowsChildren` - the boolean indicating whether children may be added to this node.

### isAllowsChildren

    public boolean isAllowsChildren()

  Returns the boolean indicating whether children may be added to this node.

  Returns:
    the boolean indicating whether children may be added to this node.

### add

    public void add(NodeInfo node)

  Adds the specified node as child of this node.

  If the allowsChildren attribute is false, then no add occurs.

  Parameters:
    `node` - the node to add as a child of this node.

### getChildren

    public java.util.List getChildren()

  Returns a list of this node's children.

  Returns:
    a list of this node's children.

### isExpanded

    public boolean isExpanded()

  Returns the boolean indicating whether this node should be presented in an expanded state.

  Returns:
    the boolean indicating whether this node should be presented in an expanded state.

### setExpanded

    public void setExpanded(boolean expanded)

  Sets the boolean indicating whether this node should be presented in an expanded state.

  Parameters:
    `expanded` - the boolean indicating whether this node should be presented in an expanded state.

### equals

    public boolean equals(NodeInfo nodeInfo)

  Returns a boolean indicating whether the specified NodeInfo object is equivalent to this NodeInfo object.

  The specified NodeInfo object is not equivalent to this object if:

  - The specified NodeInfo object is null.
  - The specified NodeInfo object's text does not match this objects text.
  Otherwise, the two objects are equivalent.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.